#pragma once

#include "HtmlDocument.h"

class MarkdownParser
{
    enum class DocumentState
    {
        None
    };

    enum class LineState
    {
        None
    };


    DocumentState mDocumentState {DocumentState::None};
    HtmlDocumentPtr mHtmlDocument;

public:

    MarkdownParser();

    HtmlDocumentPtr GetHtml();

    void ProcessLine(const std::string& line);

    void Run(const std::string& content);
};
